summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Oleg O. Chukaev <oleg.chukaev@mail.ru>2010-05-12 23:29:44 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:44 +0200
commitb524fa5911ae6915f6a6db16b572a38e2cc96280 (patch)
treefb47ca43e0b9a9e446a850ec45dfcc103e28cbab /graphics
parent8a59f1f82b6abcc519fb2ad0f6b337f0351cafa0 (diff)
downloadslackbuilds-b524fa5911ae6915f6a6db16b572a38e2cc96280.tar.gz
slackbuilds-b524fa5911ae6915f6a6db16b572a38e2cc96280.tar.xz
graphics/optipng: Added to 12.2 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/optipng/README4
-rw-r--r--graphics/optipng/optipng.SlackBuild69
-rw-r--r--graphics/optipng/optipng.info8
-rw-r--r--graphics/optipng/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/graphics/optipng/README b/graphics/optipng/README
new file mode 100644
index 0000000000..89c6c2bb26
--- /dev/null
+++ b/graphics/optipng/README
@@ -0,0 +1,4 @@
+OptiPNG is a PNG optimizer that recompresses image files to a
+smaller size, without losing any information. This program also
+converts external formats (BMP, GIF, PNM and TIFF) to optimized
+PNG, and performs PNG integrity checks and corrections.
diff --git a/graphics/optipng/optipng.SlackBuild b/graphics/optipng/optipng.SlackBuild
new file mode 100644
index 0000000000..93a922b69c
--- /dev/null
+++ b/graphics/optipng/optipng.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for OptiPNG
+# Written by Oleg O. Chukaev <oleg.chukaev@mail.ru>
+
+PRGNAM=optipng
+VERSION=0.6.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+make -f scripts/gcc.mak CFLAGS="$SLKCFLAGS -W -Wall"
+make -f scripts/gcc.mak install DESTDIR=$PKG prefix=/usr
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.txt README.txt doc/caveat.txt doc/history.txt doc/manual.html \
+ doc/manual.pdf doc/manual.txt doc/png_optimization_guide.html \
+ doc/thanks.html doc/todo.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/optipng/optipng.info b/graphics/optipng/optipng.info
new file mode 100644
index 0000000000..5de394cd45
--- /dev/null
+++ b/graphics/optipng/optipng.info
@@ -0,0 +1,8 @@
+PRGNAM="optipng"
+VERSION="0.6.3"
+HOMEPAGE="http://optipng.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/optipng/optipng-0.6.3.tar.gz"
+MD5SUM="6cef405197a878acff4c6216cf38e871"
+MAINTAINER="Oleg O. Chukaev"
+EMAIL="oleg.chukaev@mail.ru"
+APPROVED="dsomero"
diff --git a/graphics/optipng/slack-desc b/graphics/optipng/slack-desc
new file mode 100644
index 0000000000..5d50fc4d5c
--- /dev/null
+++ b/graphics/optipng/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+optipng: OptiPNG (Advanced PNG Optimizer)
+optipng:
+optipng: OptiPNG is a PNG optimizer that recompresses image files to a
+optipng: smaller size, without losing any information. This program also
+optipng: converts external formats (BMP, GIF, PNM and TIFF) to optimized
+optipng: PNG, and performs PNG integrity checks and corrections.
+optipng:
+optipng: Homepage: http://optipng.sourceforge.net/
+optipng:
+optipng:
+optipng: